Subject: [Isis-wg] RE: draft-ietf-isis-wg-mib-11.txt

From: Jeff Parker <[email-masked]>
Date: Fri, 14 Mar 2003 10:43:07 -0500

Cleaning up unanswered mail

> Sent 3/4/03
>
> Hi Jeff,
> 
> Some minor comments. Does the isisLSPTLVIndex mean the offset 
> in bytes from
> the header or the TLV number(like the first/second/nth TLV) 
> in the contents
> of the LSP?

Good point.  Is this clearer?

    isisLSPTLVIndex OBJECT-TYPE
        SYNTAX Unsigned32
        MAX-ACCESS read-only
        STATUS current
        DESCRIPTION
            "The index of this TLV in the LSP.  The first TLV has index 1,
		 the Nth TLV has an index on N."
    ::= { isisLSPTLVEntry 1 }

> Besides I am not sure if I have asked you for this, but can we change
> isisLSPTLVSeq to isisLSPTLVLSPSeq and isisLSPTLVChecksum to
> isisLSPTLVLSPChecksum.

Remind me why is this a good idea.  

> Also in isisLSPID description you can replace the 
> "Fragment Number" as "LSP Number" in isisLSPSummaryTable.
>
> Thanks,
> Vishwas

I can only speak for myself, but I find "LSP Number" is 
ambiguous.  There are many things that this term could 
refer to.  In the context of the description (see below) 
I think "Frament Number" is clearer.  

    isisLSPID OBJECT-TYPE
        SYNTAX LinkStatePDUID
        MAX-ACCESS not-accessible
        STATUS current
        DESCRIPTION
            "The 8 byte LSP ID, consisting of the SystemID,
             Circuit ID, and Fragment Number."
    ::= { isisLSPSummaryEntry 2 }

- jeff parker
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg